Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a store group

Creates a new store group with the specified name, slug, store type, and optional markets. The store group defines pricing and availability settings for products across multiple markets.

POST/api/v1/{team_slug}/{app_slug}/store-groups
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Store group data

country_of_salestringrequired

Country value needs to follow ISO3166_1_alpha2, which means we want a country value written in alpha-2 two-letter country codes, Example: SE or FI

descriptionstring
marketsstring[]

The slug of the markets which should be related to this store group

namestringrequired
slugstringrequired
store_typestring
Allowed:b2cb2bd2cd2b
Responses
200

Store group created successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarketsrequired
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
is_tax_exemption_eligibleboolean
is_tax_included_in_priceboolean
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
store_typestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
201

Successful response

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupWithMarketsrequired
Show properties
country_of_salestring | null
created_atstring
descriptionstring
idstring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroupMarket
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
is_tax_exemption_eligibleboolean
is_tax_included_in_priceboolean
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
store_typestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/store-groups' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "country_of_sale": "string",
  "description": "string",
  "markets": [
    "string"
  ],
  "name": "string",
  "slug": "string",
  "store_type": "b2c"
}'
Response
{
  "data": {
    "country_of_sale": "string",
    "created_at": "string",
    "description": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "is_tax_exemption_eligible": true,
        "is_tax_included_in_price": true,
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "store_type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}